1. engelous's Avatar
    Hi,

    I have a 3GS, 6.15 BB, JB'ed and unlocked with iOS 5. I JB'ed with sn0wbreeze to preserve BB. Now I've heard about the new redsn0w, which fixes location services usage causing crashes of 3GS's with this BB.

    My question is - can I just use redsn0w over my current JB, or do I have to do anything else?

    Thanks!
    10-19-2011 07:13 AM
  2. Snownation's Avatar
    Redsn0w JB is applied directly onto a stock iOS. So it doesn't preserve BB.

    You must use sn0wbreeze if you want to preserve BB and use ultrasn0w to unlock.
    10-19-2011 08:53 AM
  3. engelous's Avatar
    Yeah, that's what I did, but I saw on redsn0w's blog that you can apply the redsn0w update to 3GS with 6.15 BB in order to prevent GPS from crashing network services, so I thought there must be a way to use it while preserving BB...

    For iPhone3GS owners with the 06.15 baseband, this redsn0w eliminates the network crash you saw when using Location Services in iOS5 (in fact, you dont even need to disable Location Services anymore during the initial setup). The cosmetic fix is to the visual countdown you see when going into DFU mode.

    Its okay to re-run this redsn0w over an existing device jailbroken at iOS5. Just choose Jailbreak again and de-select Cydia (in other words, all the checkboxes will be unchecked). If you are lucky enough to have an old-bootrom iPhone3GS, please pre-select the IPSW first (redsn0w cant yet auto-detect the FW version of your old-bootrom 3GS if its already been jailbroken).
    10-19-2011 08:58 AM
  4. engelous's Avatar
    ...Anyone? I really want to enable location services, and the new redsn0w release is supposed to fix it.
    10-22-2011 07:26 AM
LINK TO POST COPIED TO CLIPBOARD